[Fedora-directory-commits] mod_revocator Makefile.am, 1.2, 1.3 configure.in, 1.2, 1.3 aclocal.m4, 1.2, 1.3 Makefile.in, 1.2, 1.3 configure, 1.2, 1.3 missing, 1.1.1.1, 1.2 README, 1.2, 1.3 ldap-client.cpp, 1.2, 1.3 ldapget.cpp, 1.2, 1.3

Robert Crittenden (rcritten) fedora-directory-commits at redhat.com
Thu Oct 12 14:52:18 UTC 2006


Author: rcritten

Update of /cvs/dirsec/mod_revocator
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv18912

Modified Files:
	Makefile.am configure.in aclocal.m4 Makefile.in configure 
	missing README ldap-client.cpp ldapget.cpp 
Log Message:
Add support to use OpenLDAP as the LDAP library.



Index: Makefile.am
===================================================================
RCS file: /cvs/dirsec/mod_revocator/Makefile.am,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- Makefile.am	7 Aug 2006 20:27:55 -0000	1.2
+++ Makefile.am	12 Oct 2006 14:52:15 -0000	1.3
@@ -5,7 +5,7 @@
 libmodrev_la_SOURCES = mod_rev.c
 
 INCLUDES = -I at apache_inc@ @nspr_inc@ @nss_inc@ @apr_inc@ -Imozilla/security/nss/lib/base @ldapsdk_inc@ -Imozilla/security/nss/lib/ckfw
-LIBS = @ldapsdk_lib@ @nspr_lib@ @nss_lib@ -lssldap50 -lssl3 -lsmime3 -lnss3 -lnssb -lldap50 -lprldap50 -lplc4 -lplds4 -lnspr4 -lpthread -ldl
+LIBS = @ldapsdk_lib@ @nspr_lib@ @nss_lib@ @ldapsdk_libs_ssl@ -lssl3 -lsmime3 -lnss3 -lnssb @ldapsdk_libs@ -lplc4 -lplds4 -lnspr4 -lpthread -ldl
 DEFS = -D__REVOCATION_IMPLEMENTATION__=1 @extra_cppflags@
 
 # Remove nsprstub.o from libnssckfw.a so we can use our own stub, then


Index: configure.in
===================================================================
RCS file: /cvs/dirsec/mod_revocator/configure.in,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- configure.in	7 Aug 2006 20:27:55 -0000	1.2
+++ configure.in	12 Oct 2006 14:52:15 -0000	1.3
@@ -244,6 +244,19 @@
 
 AC_CHECKING(for LDAPSDK)
 
+# check to see if openldap is specifically requested
+AC_MSG_CHECKING(for --with-openldap)
+AC_ARG_ENABLE(openldap, [  --enable-openldap        Use OpenLDAP as the LDAP library (default=no)],
+   openldap=$enableval, openldap=no)
+if test $openldap = yes; then
+   AC_MSG_RESULT(yes)
+   ldapsdk_inc=""
+   ldapsdk_lib=""
+else
+   echo
+   AC_MSG_RESULT(no)
+fi
+
 # check for --with-ldapsdk
 AC_MSG_CHECKING(for --with-ldapsdk)
 AC_ARG_WITH(ldapsdk, [  --with-ldapsdk=PATH     LDAP SDK directory],
@@ -292,7 +305,7 @@
 AC_MSG_RESULT(no))
 
 # last resort
-if test -z "$ldapsdk_inc" -o -z "$ldapsdk_lib"; then
+if test \( -z "$ldapsdk_inc" -o -z "$ldapsdk_lib" \) -a "$openldap" != yes; then
   AC_MSG_CHECKING(for ldapsdk with pkg-config)
   AC_PATH_PROG(PKG_CONFIG, pkg-config)
   if test -n "$PKG_CONFIG"; then
@@ -305,6 +318,16 @@
   fi
 fi
 
+# Set the LDAP library we're using
+if test "$openldap" != yes; then
+    extra_cppflags="$extra_cppflags -DMOZILLA_LDAP"
+    ldapsdk_libs_ssl="-lssldap50"
+    ldapsdk_libs="-lldap50 -lprldap50"
+else
+    ldapsdk_libs_ssl=""
+    ldapsdk_libs="-lldap"
+fi
+
 if ! test -e "$nss_lib_dir"/libnssb.a
 then
   AC_MSG_ERROR([NSS is installed but the PKCS11 development package is missing. Need libnssb.a])
@@ -326,6 +349,8 @@
 AC_SUBST(nss_lib_dir)
 AC_SUBST(ldapsdk_inc)
 AC_SUBST(ldapsdk_lib)
+AC_SUBST(ldapsdk_libs_ssl)
+AC_SUBST(ldapsdk_libs)
 
 # Write config.status and the Makefile
 AC_OUTPUT(Makefile)




Index: Makefile.in
===================================================================
RCS file: /cvs/dirsec/mod_revocator/Makefile.in,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- Makefile.in	7 Aug 2006 20:27:55 -0000	1.2
+++ Makefile.in	12 Oct 2006 14:52:15 -0000	1.3
@@ -107,6 +107,8 @@
 install_sh = @install_sh@
 ldapsdk_inc = @ldapsdk_inc@
 ldapsdk_lib = @ldapsdk_lib@
+ldapsdk_libs = @ldapsdk_libs@
+ldapsdk_libs_ssl = @ldapsdk_libs_ssl@
 nspr_inc = @nspr_inc@
 nspr_lib = @nspr_lib@
 nss_inc = @nss_inc@
@@ -119,7 +121,7 @@
 libmodrev_la_SOURCES = mod_rev.c
 
 INCLUDES = -I at apache_inc@ @nspr_inc@ @nss_inc@ @apr_inc@ -Imozilla/security/nss/lib/base @ldapsdk_inc@ -Imozilla/security/nss/lib/ckfw
-LIBS = @ldapsdk_lib@ @nspr_lib@ @nss_lib@ -lssldap50 -lssl3 -lsmime3 -lnss3 -lnssb -lldap50 -lprldap50 -lplc4 -lplds4 -lnspr4 -lpthread -ldl
+LIBS = @ldapsdk_lib@ @nspr_lib@ @nss_lib@ @ldapsdk_libs_ssl@ -lssl3 -lsmime3 -lnss3 -lnssb @ldapsdk_libs@ -lplc4 -lplds4 -lnspr4 -lpthread -ldl
 DEFS = -D__REVOCATION_IMPLEMENTATION__=1 @extra_cppflags@
 subdir = .
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4


Index: configure
===================================================================
RCS file: /cvs/dirsec/mod_revocator/configure,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- configure	7 Aug 2006 20:27:55 -0000	1.2
+++ configure	12 Oct 2006 14:52:15 -0000	1.3
@@ -462,7 +462,7 @@
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE CC CFLAGS ac_ct_CC CCDEPMODE build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL YACC LEX LEXLIB LEX_OUTPUT_ROOT APR_CONFIG APXS PKG_CONFIG SHARED_LINK apr_inc apache_inc apache_conf apache_prefix apache_bin extra_cppflags nspr_!
 inc nspr_lib nss_inc nss_lib nss_lib_dir ldapsdk_inc ldapsdk_lib LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE CC CFLAGS ac_ct_CC CCDEPMODE build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL YACC LEX LEXLIB LEX_OUTPUT_ROOT APR_CONFIG APXS PKG_CONFIG SHARED_LINK apr_inc apache_inc apache_conf apache_prefix apache_bin extra_cppflags nspr_!
 inc nspr_lib nss_inc nss_lib nss_lib_dir ldapsdk_inc ldapsdk_lib ldapsdk_libs_ssl ldapsdk_libs LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1031,6 +1031,7 @@
   --enable-fast-install[=PKGS]
                           optimize for fast installation [default=yes]
   --disable-libtool-lock  avoid locking (might break parallel builds)
+  --enable-openldap        Use OpenLDAP as the LDAP library (default=no)
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
@@ -3992,7 +3993,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3995 "configure"' > conftest.$ac_ext
+  echo '#line 3996 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5107,7 +5108,7 @@
 
 
 # Provide some information about the compiler.
-echo "$as_me:5110:" \
+echo "$as_me:5111:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6205,11 +6206,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6208: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6209: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6212: \$? = $ac_status" >&5
+   echo "$as_me:6213: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6467,11 +6468,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6470: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6471: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6474: \$? = $ac_status" >&5
+   echo "$as_me:6475: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6529,11 +6530,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6532: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6533: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6536: \$? = $ac_status" >&5
+   echo "$as_me:6537: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -7914,7 +7915,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 7917 "configure"' > conftest.$ac_ext
+    echo '#line 7918 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -8785,7 +8786,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8788 "configure"
+#line 8789 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8883,7 +8884,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8886 "configure"
+#line 8887 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11131,11 +11132,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11134: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11135: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11138: \$? = $ac_status" >&5
+   echo "$as_me:11139: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11193,11 +11194,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11196: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11197: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11200: \$? = $ac_status" >&5
+   echo "$as_me:11201: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11708,7 +11709,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 11711 "configure"' > conftest.$ac_ext
+    echo '#line 11712 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -12579,7 +12580,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12582 "configure"
+#line 12583 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12677,7 +12678,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12680 "configure"
+#line 12681 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13562,11 +13563,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13565: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13566: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13569: \$? = $ac_status" >&5
+   echo "$as_me:13570: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13624,11 +13625,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13627: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13628: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13631: \$? = $ac_status" >&5
+   echo "$as_me:13632: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14989,7 +14990,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 14992 "configure"' > conftest.$ac_ext
+    echo '#line 14993 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15762,11 +15763,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15765: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15766: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15769: \$? = $ac_status" >&5
+   echo "$as_me:15770: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16024,11 +16025,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16027: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16028: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16031: \$? = $ac_status" >&5
+   echo "$as_me:16032: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16086,11 +16087,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16089: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16090: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16093: \$? = $ac_status" >&5
+   echo "$as_me:16094: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17471,7 +17472,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17474 "configure"' > conftest.$ac_ext
+    echo '#line 17475 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -18342,7 +18343,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18345 "configure"
+#line 18346 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18440,7 +18441,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18443 "configure"
+#line 18444 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -20720,6 +20721,27 @@
 { echo "$as_me:$LINENO: checking for LDAPSDK..." >&5
 echo "$as_me: checking for LDAPSDK..." >&6;}
 
+# check to see if openldap is specifically requested
+echo "$as_me:$LINENO: checking for --with-openldap" >&5
+echo $ECHO_N "checking for --with-openldap... $ECHO_C" >&6
+# Check whether --enable-openldap or --disable-openldap was given.
+if test "${enable_openldap+set}" = set; then
+  enableval="$enable_openldap"
+  openldap=$enableval
+else
+  openldap=no
+fi;
+if test $openldap = yes; then
+   echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+   ldapsdk_inc=""
+   ldapsdk_lib=""
+else
+   echo
+   echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
 # check for --with-ldapsdk
 echo "$as_me:$LINENO: checking for --with-ldapsdk" >&5
 echo $ECHO_N "checking for --with-ldapsdk... $ECHO_C" >&6
@@ -20798,7 +20820,7 @@
 fi;
 
 # last resort
-if test -z "$ldapsdk_inc" -o -z "$ldapsdk_lib"; then
+if test \( -z "$ldapsdk_inc" -o -z "$ldapsdk_lib" \) -a "$openldap" != yes; then
   echo "$as_me:$LINENO: checking for ldapsdk with pkg-config" >&5
 echo $ECHO_N "checking for ldapsdk with pkg-config... $ECHO_C" >&6
   # Extract the first word of "pkg-config", so it can be a program name with args.
@@ -20852,6 +20874,16 @@
   fi
 fi
 
+# Set the LDAP library we're using
+if test "$openldap" != yes; then
+    extra_cppflags="$extra_cppflags -DMOZILLA_LDAP"
+    ldapsdk_libs_ssl="-lssldap50"
+    ldapsdk_libs="-lldap50 -lprldap50"
+else
+    ldapsdk_libs_ssl=""
+    ldapsdk_libs="-lldap"
+fi
+
 if ! test -e "$nss_lib_dir"/libnssb.a
 then
   { { echo "$as_me:$LINENO: error: NSS is installed but the PKCS11 development package is missing. Need libnssb.a" >&5
@@ -20876,6 +20908,8 @@
 
 
 
+
+
 # Write config.status and the Makefile
           ac_config_files="$ac_config_files Makefile"
 cat >confcache <<\_ACEOF
@@ -21609,6 +21643,8 @@
 s, at nss_lib_dir@,$nss_lib_dir,;t t
 s, at ldapsdk_inc@,$ldapsdk_inc,;t t
 s, at ldapsdk_lib@,$ldapsdk_lib,;t t
+s, at ldapsdk_libs_ssl@,$ldapsdk_libs_ssl,;t t
+s, at ldapsdk_libs@,$ldapsdk_libs,;t t
 s, at LIBOBJS@,$LIBOBJS,;t t
 s, at LTLIBOBJS@,$LTLIBOBJS,;t t
 CEOF


Index: missing
===================================================================
RCS file: /cvs/dirsec/mod_revocator/missing,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- missing	3 Aug 2006 19:39:33 -0000	1.1.1.1
+++ missing	12 Oct 2006 14:52:15 -0000	1.2
@@ -1,7 +1,7 @@
 #! /bin/sh
 # Common stub for a few missing GNU programs while installing.
-# Copyright (C) 1996, 1997, 2001 Free Software Foundation, Inc.
-# Franc,ois Pinard <pinard at iro.umontreal.ca>, 1996.
+# Copyright (C) 1996, 1997, 1999, 2000, 2002 Free Software Foundation, Inc.
+# Originally by Fran,cois Pinard <pinard at iro.umontreal.ca>, 1996.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,20 +18,38 @@
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 # 02111-1307, USA.
 
+# As a special exception to the GNU General Public License, if you
+# distribute this file as part of a program that contains a
+# configuration script generated by Autoconf, you may include it under
+# the same distribution terms that you use for the rest of that program.
+
 if test $# -eq 0; then
   echo 1>&2 "Try \`$0 --help' for more information"
   exit 1
 fi
 
+run=:
+
 # In the cases where this matters, `missing' is being run in the
 # srcdir already.
-if test -f configure.in; then
+if test -f configure.ac; then
   configure_ac=configure.ac
 else
   configure_ac=configure.in
 fi
 
 case "$1" in
+--run)
+  # Try to run requested program, and just exit if it succeeds.
+  run=
+  shift
+  "$@" && exit 0
+  ;;
+esac
+
+# If it does not exist, or fails to run (possibly an outdated version),
+# try to emulate it.
+case "$1" in
 
   -h|--h|--he|--hel|--help)
     echo "\
@@ -43,6 +61,7 @@
 Options:
   -h, --help      display this help and exit
   -v, --version   output version information and exit
+  --run           try to run the given command, and emulate it if it fails
 
 Supported PROGRAM values:
   aclocal      touch file \`aclocal.m4'
@@ -51,13 +70,15 @@
   automake     touch all \`Makefile.in' files
   bison        create \`y.tab.[ch]', if possible, from existing .[ch]
   flex         create \`lex.yy.c', if possible, from existing .c
+  help2man     touch the output file
   lex          create \`lex.yy.c', if possible, from existing .c
   makeinfo     touch the output file
+  tar          try tar, gnutar, gtar, then tar without non-portable flags
   yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
     ;;
 
   -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
-    echo "missing - GNU libit 0.0"
+    echo "missing 0.4 - GNU automake"
     ;;
 
   -*)
@@ -66,31 +87,46 @@
     exit 1
     ;;
 
-  aclocal)
+  aclocal*)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
-         you modified \`acinclude.m4' or \`$configure_ac'.  You might want
+         you modified \`acinclude.m4' or \`${configure_ac}'.  You might want
          to install the \`Automake' and \`Perl' packages.  Grab them from
          any GNU archive site."
     touch aclocal.m4
     ;;
 
   autoconf)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
-         you modified \`$configure_ac'.  You might want to install the
+         you modified \`${configure_ac}'.  You might want to install the
          \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
          archive site."
     touch configure
     ;;
 
   autoheader)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
-         you modified \`acconfig.h' or \`$configure_ac'.  You might want
+         you modified \`acconfig.h' or \`${configure_ac}'.  You might want
          to install the \`Autoconf' and \`GNU m4' packages.  Grab them
          from any GNU archive site."
-    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' $configure_ac`
+    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' ${configure_ac}`
     test -z "$files" && files="config.h"
     touch_files=
     for f in $files; do
@@ -103,10 +139,15 @@
     touch $touch_files
     ;;
 
-  automake)
+  automake*)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
-         you modified \`Makefile.am', \`acinclude.m4' or \`$configure_ac'.
+         you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
          You might want to install the \`Automake' and \`Perl' packages.
          Grab them from any GNU archive site."
     find . -type f -name Makefile.am -print |
@@ -114,6 +155,34 @@
 	   while read f; do touch "$f"; done
     ;;
 
+  autom4te)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
+    echo 1>&2 "\
+WARNING: \`$1' is needed, and you do not seem to have it handy on your
+         system.  You might have modified some files without having the
+         proper tools for further handling them.
+         You can get \`$1Help2man' as part of \`Autoconf' from any GNU
+         archive site."
+
+    file=`echo "$*" | sed -n 's/.*--output[ =]*\([^ ]*\).*/\1/p'`
+    test -z "$file" && file=`echo "$*" | sed -n 's/.*-o[ ]*\([^ ]*\).*/\1/p'`
+    if test -f "$file"; then
+	touch $file
+    else
+	test -z "$file" || exec >$file
+	echo "#! /bin/sh"
+	echo "# Created by GNU Automake missing as a replacement of"
+	echo "#  $ $@"
+	echo "exit 0"
+	chmod +x $file
+	exit 1
+    fi
+    ;;
+
   bison|yacc)
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
@@ -167,7 +236,37 @@
     fi
     ;;
 
+  help2man)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+	 you modified a dependency of a manual page.  You may need the
+	 \`Help2man' package in order for those modifications to take
+	 effect.  You can get \`Help2man' from any GNU archive site."
+
+    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
+    if test -z "$file"; then
+	file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'`
+    fi
+    if [ -f "$file" ]; then
+	touch $file
+    else
+	test -z "$file" || exec >$file
+	echo ".ab help2man is required to generate this page"
+	exit 1
+    fi
+    ;;
+
   makeinfo)
+    if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then
+       # We have makeinfo, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
          you modified a \`.texi' or \`.texinfo' file, or any other file
@@ -183,6 +282,45 @@
     touch $file
     ;;
 
+  tar)
+    shift
+    if test -n "$run"; then
+      echo 1>&2 "ERROR: \`tar' requires --run"
+      exit 1
+    fi
+
+    # We have already tried tar in the generic part.
+    # Look for gnutar/gtar before invocation to avoid ugly error
+    # messages.
+    if (gnutar --version > /dev/null 2>&1); then
+       gnutar "$@" && exit 0
+    fi
+    if (gtar --version > /dev/null 2>&1); then
+       gtar "$@" && exit 0
+    fi
+    firstarg="$1"
+    if shift; then
+	case "$firstarg" in
+	*o*)
+	    firstarg=`echo "$firstarg" | sed s/o//`
+	    tar "$firstarg" "$@" && exit 0
+	    ;;
+	esac
+	case "$firstarg" in
+	*h*)
+	    firstarg=`echo "$firstarg" | sed s/h//`
+	    tar "$firstarg" "$@" && exit 0
+	    ;;
+	esac
+    fi
+
+    echo 1>&2 "\
+WARNING: I can't seem to be able to run \`tar' with the given arguments.
+         You may want to install GNU tar or Free paxutils, or check the
+         command line arguments."
+    exit 1
+    ;;
+
   *)
     echo 1>&2 "\
 WARNING: \`$1' is needed, and you do not seem to have it handy on your


Index: README
===================================================================
RCS file: /cvs/dirsec/mod_revocator/README,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- README	4 Aug 2006 18:53:09 -0000	1.2
+++ README	12 Oct 2006 14:52:15 -0000	1.3
@@ -28,9 +28,9 @@
 
 BUILDING
 
- To build this you'll need NSPR 4.4.1, NSS 3.9.3 and the Mozilla LDAP SDK
- 5.15 or higher. It will not work with earlier versions of NSS due to an
- API change.
+ To build this you'll need NSPR 4.4.1 and NSS 3.9.3. Either the Mozilla LDAP
+ SDK 5.15 or higher or OpenLDAP 2.2.29 or higher is also required. It will
+ not work with earlier versions of NSS due to an API change.
  
  The --with-nspr, --with-nss and --with-ldapsdk  tags require that the
  package be installed in the same parent directory (e.g. /opt/nspr,
@@ -42,6 +42,11 @@
  mozilla-[nss|nspr]-devel packages and use the libraries with that if found.
  It is strongly recommended that the mozilla.org version be used instead.
 
+ To use OpenLDAP pass in --enable-openldap and do not use any of the
+ --with-ldap* directives. It assumes that the OpenLDAP headers are in
+ /usr/include and the libraries are resolvable by the loader without
+ passing -L.
+
  Build and install those packages somewhere then configure the module with
  something like:
 


Index: ldap-client.cpp
===================================================================
RCS file: /cvs/dirsec/mod_revocator/ldap-client.cpp,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ldap-client.cpp	4 Aug 2006 18:53:09 -0000	1.2
+++ ldap-client.cpp	12 Oct 2006 14:52:15 -0000	1.3
@@ -22,8 +22,10 @@
  */
 
 #include <ldap.h>
+#ifdef MOZILLA_LDAP
 #include <ldappr.h>
 #include <ldap_ssl.h>
+#endif
 #include <ssl.h>
 #include <string.h>
 #ifdef MCS_STANDALONE
@@ -95,12 +97,14 @@
 
     if ((rv = ldap_url_parse(url, &ludp)) != 0) {
         switch(rv){
+#ifdef MOZILLA_LDAP
             case LDAP_URL_ERR_NOTLDAP:
                 *errnum = CL_URL_ERR_NOTLDAP;
                 break;
             case LDAP_URL_ERR_NODN:
                 *errnum = CL_URL_ERR_NODN;
                 break;
+#endif
             case LDAP_URL_ERR_BADSCOPE:
                 *errnum = CL_URL_ERR_BADSCOPE;
                 break;
@@ -125,11 +129,13 @@
         goto done;
     }
 
+#ifdef MOZILLA_LDAP
     if ((ludp->lud_options & LDAP_URL_OPT_SECURE) != 0) {
             ld = ldapssl_init(ludp->lud_host, ludp->lud_port, 1 /* secure */ );
             if (ld && (ldapssl_set_option(ld, SSL_NO_CACHE, PR_TRUE) != 0))
                 ld = NULL;
     } else
+#endif
         ld = ldap_init(ludp->lud_host, ludp->lud_port);
 
     if (ld == NULL) {
@@ -161,6 +167,7 @@
 
         cred.bv_val = bindcredentials;
         cred.bv_len = strlen(bindcredentials);
+#ifdef MOZILLA_LDAP
     } else if ((bindcertname = get_extension(url, "bindTLSCertificateName")) 
                != NULL) {
         uri_unescape_strict(bindcertname, 1);
@@ -171,6 +178,7 @@
             *errnum = CL_LDAP_CLAUTH_INIT;
             goto done;
         }
+#endif
     }
 
     if (!bindmechanism)


Index: ldapget.cpp
===================================================================
RCS file: /cvs/dirsec/mod_revocator/ldapget.cpp,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ldapget.cpp	4 Aug 2006 18:53:09 -0000	1.2
+++ ldapget.cpp	12 Oct 2006 14:52:15 -0000	1.3
@@ -23,7 +23,9 @@
 #include <stdlib.h>
 #include <unistd.h>
 #include "ldap.h"
+#ifdef MOZILLA_LDAP
 #include "ldap_ssl.h"
+#endif
 #include "nss.h"
 #include "pk11func.h"
 
@@ -47,9 +49,11 @@
     }
 
     if (argc == 3) {
+#ifdef MOZILLA_LDAP
         if ( ldapssl_client_init( argv[1], NULL ) < 0 ) {
             return 1;
         }
+#endif
         url = argv[2];
     } else {
         url = argv[1];




More information about the Fedora-directory-commits mailing list